Skip to main content
GET
Lista os afiliados

Authorizations

Authorization
string
header
required

Chave de API (prefixo rstr_) enviada como Authorization: Bearer rstr_....

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
string
Pattern: ^aff_[0-9A-HJKMNP-TV-Z]{26}$
ending_before
string
Pattern: ^aff_[0-9A-HJKMNP-TV-Z]{26}$
program_id
string

Filtra afiliados por programa.

Example:

"prog_01J9Z3K8N2QF4T7B9XP0WMD5RC"

status
enum<string>

Filtra por status do afiliado (pending, approved, rejected, paused ou banned).

Available options:
pending,
approved,
rejected,
paused,
banned
Example:

"approved"

tier
string

Filtra afiliados por tier.

Example:

"gold"

q
string

Busca textual por nome ou e-mail do afiliado.

Minimum string length: 1
Example:

"maria"

Response

200 - application/json

Default Response

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required

Cursor da próxima página (use em starting_after).

previousCursor
string | null
required

Cursor da página anterior (use em ending_before).